"use strict";

/* exported logger */

var ContextMenu = require('./ContextMenu');
var SubMenu = require('./SubMenu');

var logger = require('../logger');

function MapContextMenu(params) {
  ContextMenu.call(this, params);
  var self = this;

  self._createMapContextMenuGui();
}

MapContextMenu.prototype = Object.create(ContextMenu.prototype);
MapContextMenu.prototype.constructor = MapContextMenu;


MapContextMenu.prototype._createMapContextMenuGui = function() {
  var self = this;
  self.addOption("Add comment", function() {
    return self.getMap().openCommentDialog();
  });
  self.addOption("Select mode", function() {
    return self.getMap().turnOnOffDrawing();
  });

};

module.exports = MapContextMenu;
